#
# spec file for package update-bootloader-rpm-macros
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           update-bootloader-rpm-macros
Version:        0
Release:        lp152.3.2
Summary:        RPM macros for update-bootloader
License:        GPL-3.0+
Group:          Development/Tools/Building
Url:            https://en.opensuse.org/openSUSE:Update_Bootloader_RPM_Macros
Source0:        macros.update-bootloader
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides rpm macros for bootloader update in rpm scripts

%prep

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/rpm
install -m644 %{S:0} %{buildroot}%{_sysconfdir}/rpm

%files
%defattr(-,root,root)
%config %{_sysconfdir}/rpm/macros.update-bootloader

%changelog
* Thu Jan 19 2017 jengelh@inai.de
- RPM group fixup
* Wed Dec 28 2016 mchang@suse.com
- New package with rpm macros to support bootloader update in %%posttrans to
  improve the efficiency. (bsc#997317)
